Bug 125920 - Boot up failed and system freezed
Boot up failed and system freezed
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-13 23:47 EDT by Lewis
Modified: 2007-04-18 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lewis 2004-06-13 23:47:03 EDT
Description of problem:

Bad: System panic at boot up with smp kernel(kernel-smp.2.4.20-
31.9).  I'd like to past the whole dump to here but they are only 
logged in the console.  Part of the error is as follow:

----- cut --------

printing eip:
00000000
*pde=00000000
Oops: 0000

CPU: 1
EIP: 0060:[<00000000>] Not Tainted
EFLAGS: 00010086

EIP is at [unresolved] (2.4.20-31.9smp)

Process swapper (pid: 0, stackpage=c36b7000)

Call Trace: [<c0122bc5>] call_console_drivers [kernel] 0x65 
(0xc36b7fc4))
[<c0122e32>] printk [kernel] 0x142 (0xc36b7ff4))


Code: Bad EIP value.
<0>Kernel panic: Attempted to kill the idle task!
In idle task - not syncing

--------- end ------------
System freezed at this point.

System:
Motherboard: ASUS P2B-D
2x P2400
1GB RAM
Display card: PCI Voodoo3 with 16MB RAM


Good: System running without any problem with Uni-processor kernel 
(kernel-2.4.20-31.9)

Version-Release number of selected component (if applicable):
kernel-smp.2.4.20-31.9

How reproducible:
Everytime


Steps to Reproduce:
1. Startup computer
2. Choose SMP kernel in Grub
3. System freezed
  
Actual results:


Expected results:


Additional info:
Comment 1 Lewis 2004-06-13 23:48:05 EDT
System is using as production webserver.  Would like to resolve the 
issue soon.
Comment 2 Rik van Riel 2004-06-14 10:16:37 EDT
I am sorry, but the Red Hat Linux 9 distribution was discontinued last
april and is no longer receiving any maintenance updates from Red Hat.

You might want to try either the Fedora Core 1 kernel, or the 3rd
party updates to Red Hat Linux 9 that are being released by the Fedora
Legacy project.
Comment 3 Lewis 2004-06-14 10:23:34 EDT
Hi, do you mean I can apply the Fedora kernel to my Redhat 9 system?
Comment 4 Lewis 2004-06-14 11:50:08 EDT
Just installed kernel-smp-2.4.22-1.2188.nptl.i686 and reboot the 
system.  System can boot up further, however it still get a panic 
message and the last error message appears as:

Code: (a bunch of numbers this time, not Bad EIP value anymore)
<0>Kernel panic: Attempted to kill the idle task!
In idle task - not syncing
Comment 5 Bugzilla owner 2004-09-30 11:41:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.